Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.repository
Interface RepositoryConfigOpsV1

All Superinterfaces
  ISPIMarker, ISPIRepositoryMarker, Serializable

    public interface RepositoryConfigOpsV1

extends Serializable, ISPIRepositoryMarker

RepositoryConfigOps is a Repository interface (as opposed to a Ticket interface) which allows the repository to get callbacks when various operations are performed on RepositoryConfig objects.

Nested Class Summary
`static class` | `RepositoryConfigOpsV1.MethodName`

Method Summary
`void` | `createRepository(RepositoryConfig config)` This method is called immediately after a new repository config is created in the VCR, but before is used.
`void` | `removeRepository(String repoConfigName)` This method is called immediately after a repository config is removed by the VCR.
`void` | `updateRepository(RepositoryConfig config)` This method is called immediately after a repository config is updated in the VCR, but before the updated repository config is used.

Method Detail

### createRepository

    void createRepository(RepositoryConfig config)
                          throws RepositoryException

  This method is called immediately after a new repository config is created in the VCR, but before is used.

  This method takes the `RepositoryConfig` object and allows custom actions to be performed at create time.

  Parameters
    `config` - The repository configuration
  Throws
    `RepositoryException` - if the creation operation fails.

### updateRepository

    void updateRepository(RepositoryConfig config)
                          throws RepositoryException

  This method is called immediately after a repository config is updated in the VCR, but before the updated repository config is used.

  This method takes the `RepositoryConfig` object and allows custom actions to be performed at update time.

  Parameters
    `config` - The repository configuration
  Throws
    `RepositoryException` - if the update operation fails.

### removeRepository

    void removeRepository(String repoConfigName)
                          throws RepositoryException

  This method is called immediately after a repository config is removed by the VCR.

  This method takes the `String` repository name and allows custom actions to be performed at removal time.

  Parameters
    `repoConfigName` - The name of the repository config
  Throws
    `RepositoryException` - If the removal operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved